---
title: MIDIOutputMap
slug: Web/API/MIDIOutputMap
tags:
  - API
---
<p>{{APIRef("Web MIDI API")}} {{draft}} {{SeeCompatTable}}</p>

<p>The <strong><code>MIDIOutputMap</code></strong> read-only interface of the <a href="/en-US/docs/Web/API/Web_MIDI_API">Web MIDI API</a> provides a {{jsxref('Map')}}-like interface to the currently available MIDI output ports. Although it works like a map, because it is read-only, it does <strong>not</strong> contain <code>clear()</code>, <code>delete()</code>, or <code>set()</code> functions.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebMIDI API','#midiinputmap-interface')}}</td>
   <td>{{Spec2('WebMIDI API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MIDIOutputMap")}}</p>
</div>
